Package com.sun.jna.platform.win32

## Class WinNT.PSIDByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.ptr.ByReference
    - - com.sun.jna.platform.win32.WinNT.PSIDByReference

- All Implemented Interfaces:
    `NativeMapped`
  Enclosing interface:
    WinNT

      public static class WinNT.PSIDByReference
      extends ByReference

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PSIDByReference()` |
    `PSIDByReference​(WinNT.PSID h)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `WinNT.PSID` | `getValue()` |
    `void` | `setValue​(WinNT.PSID h)` |

    - ### Methods inherited from class com.sun.jna.ptr.ByReference

      `toString`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PSIDByReference

          public PSIDByReference()

    - #### PSIDByReference

          public PSIDByReference​(WinNT.PSID h)

  - ### Method Detail

    - #### setValue

          public void setValue​(WinNT.PSID h)

    - #### getValue

          public WinNT.PSID getValue()